Package org.wso2.carbon.event.client.broker

## Class BrokerClientException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.wso2.carbon.event.client.broker.BrokerClientException

- All Implemented Interfaces:
    `Serializable`

      @Deprecated
      public class BrokerClientException
      extends Exception

  Deprecated.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `errorMessage` | Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BrokerClientException​(String message)` | Deprecated.
    `BrokerClientException​(String message, Throwable cause)` | Deprecated.
    `BrokerClientException​(Throwable cause)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getErrorMessage()` | Deprecated.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### errorMessage

          public String errorMessage

      Deprecated.

  - ### Constructor Detail

    - #### BrokerClientException

          public BrokerClientException​(String message,
                                       Throwable cause)

      Deprecated.

    - #### BrokerClientException

          public BrokerClientException​(String message)

      Deprecated.

    - #### BrokerClientException

          public BrokerClientException​(Throwable cause)

      Deprecated.

  - ### Method Detail

    - #### getErrorMessage

          public String getErrorMessage()

      Deprecated.